openGL函数库的问题

为当前最终发行版之前的所有版本提供支持
回复
lihii123
帖子: 1
注册时间: 2009-02-03 15:17
送出感谢: 0
接收感谢: 0

openGL函数库的问题

#1

帖子 lihii123 » 2009-02-03 15:29

openGL函数库的问题

本人在windows下的D盘安装了ubuntu,整个盘用来运行ubuntu,现在需要运行openGL的函数,但是编译以后发现,函数不可调用,undefined。我相信应该是函数库链接出现了问题,不知道安装在C盘和D盘的话,Ubuntu下的根目录是不是也在D盘,那么include<GL/glut.h>的话是不是有连接的问题,应该怎么修改,问题非常棘手,谢谢回答的各位。

还有一个问题,估计也是函数库链接问题,math.h 怎么也不能调用,我用了参数-lm可以diaoyong,但是在文件中的其他函数(定义在另外几个文件中)却不可用了,不知道是什么问题所在。
头像
ellon
帖子: 358
注册时间: 2007-11-28 5:39
送出感谢: 0
接收感谢: 0

Re: openGL函数库的问题

#2

帖子 ellon » 2009-02-05 7:28

http://packages.ubuntu.com/
到->Search the contents of packages
查究缺少的包: 如glut.h
需要freeglut3-dev,[url=apt://freeglut3-dev]apt://freeglut3-dev[/url]

建議安裝codeblocks IDE進行開發。
在源設置“升級"那裡,把backports勾上了。
就可以[url=apt://codeblocks]apt://codeblocks[/url]了。
回复

回到 “老旧版本支持”